package com.redxun.knowledge.map.entity.vo;

import com.alibaba.fastjson.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * 文件名: MapContentVo
 * 作者: Zizg
 * 时间: 2023/1/16
 * 描述:
 * 修改人:
 * 修改时间:
 * 修改内容:
 */
@Data
public class MapContentVo implements Serializable {

    //主键
    private String pkId;

    //学习内容类型;1-外部系统 2-维基知识
    private Integer type;

    //状态;取值：0-未学习  1-已学习
    private Integer state;

    //知识Id
    private String knowledgeId;

    //系统名称（外部系统）
    private String outerSystemName;

    //内容名称（外部系统）
    private String outerContentName;

    //访问地址（外部系统）
    private String outerAccessUrl;

    //排序
    private Integer sort;

    //知识分类
    private String category;

    //知识名称
    private String titles;

    //知识简介
    private String summary;

    //作者
    private String author;

    //作者头像Id
    private String authorHead;

    //创建时间
    @DateTimeFormat(
            pattern = "yyyy-MM-dd HH:mm:ss"
    )
    @JSONField(
            format = "yyyy-MM-dd HH:mm:ss"
    )
    @JsonFormat(
            pattern = "yyyy-MM-dd HH:mm:ss",
            timezone = "GMT+8"
    )
    private Date createTime;

    //浏览数量
    private Integer views;

    //附件类型
    private String attachmentType;
}
